View Issue Details

IDProjectCategoryView StatusLast Update
0000242ascendpygtk guipublic2011-06-23 10:51
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.9.7Fixed in Version0.9.6 
Summary0000242: Implement global preferences
DescriptionIn addition to the ~/.ascend.ini preferences file, there should perhaps be another file that contains site-specific settings such as the location of the model library, the location of external libraries, etc.

On Windows, the Registry could possibly be used for this; or else another .ini file perhaps in the same directory as the executable could be used.

When uninstalling, the global preferences file would be overwritten but the per-user configuration files would be untouched.
TagsNo tags attached.

Relationships

Activities

john

2009-05-01 17:57

administrator   ~0000508

This is done via Windows registry and Linux config.h etc files. Tcl/Tk GUI has relative paths features, this needs to be ported to Python API too.

Issue History

Date Modified Username Field Change
2006-03-09 06:20 john New Issue
2006-03-09 06:20 john Status new => assigned
2006-03-09 06:20 john Assigned To => john
2006-03-09 06:20 john Target release => 0.9.6
2006-05-10 02:39 john Target release 0.9.6 => 1.0
2009-05-01 16:53 john Target Version => 0.9.7
2009-05-01 17:57 john Note Added: 0000508
2009-05-01 17:57 john Status assigned => resolved
2009-05-01 17:57 john Fixed in Version => 0.9.6
2009-05-01 17:57 john Resolution open => fixed
2011-06-23 10:51 john Status resolved => closed